footer {
    position: relative;
    display: inline-block;
    width: 100%;
    background: var(--background-black);
    color: var(--background-white);
    font-weight: 400;
}

footer h3 {
    font-size: 1.25rem;
    line-height: normal;
    margin: 0 0 1rem 0;
    border: none;
}

footer img {
    margin: 1rem 0;
}

footer a {
    color: var(--background-white);
    text-decoration: none;
}

footer .footerMain {
    margin: 1rem 0 2rem 0;
}

footer .footerMain article {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

footer article > section.box {
    display: flex;
    flex-direction: column;
    align-content: flex-start;
}

footer article > section.box.one,
footer article > section.box.two,
footer article > section.box.three,
footer article > section.box.four {
    width: calc(100% - 2em);
    margin: 1em;
}

footer article > section.box.mga:before {
    content: '';
    position: relative;
    display: inline-block;
    width: 200px;
    height: 50px;
    background: var(--black);
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/mag_logo_1c.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/mag_logo_1c.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    margin: 0 0 1rem 0;
}

footer article > section.box.idowapro:before {
    content: '';
    position: relative;
    display: inline-block;
    width: 200px;
    height: 50px;
    background: var(--black);
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/idowapro_logo_1c.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/idowapro_logo_1c.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    margin: 0 0 1rem 0;
}

footer article > section.box.az:before {
    content: '';
    position: relative;
    display: inline-block;
    width: 200px;
    height: 50px;
    background: var(--black);
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/az_logo_1c.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/files/mga/images/logo/az_logo_1c.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    margin: 0 0 1rem 0;
}

footer m-button {
    margin: 1rem 0 0 0;
    width: fit-content;
}

footer ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer ul > li {
    line-height: 1.5rem;
}

footer ul.link > li > a:before {
    content: '';
    -webkit-mask-image: url(../images/arrow.svg);
    mask-image: url(../images/arrow.svg);
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: 14px;
    width: 20px;
    height: 20px;
    background: var(--primary);
    display: inline-block;
    rotate: 180deg;
    margin: .25rem .25rem -.25rem 0;
}

footer .footerBottom {
    position: relative;
    display: block;
    text-align: center;
    margin: 0 1rem;
    padding: 1rem 0;
    font-size: .75rem;
    line-height: 1.25rem;
    border-top: 1px solid var(--black);
}

footer .footerBottom span {
    position: relative;
    display: block;
    text-transform: uppercase;
}

@media (min-width: 768px) {

    footer img {
        margin: 2rem 0 1rem 0;
    }

    footer .footerMain article {
        justify-content: center;
        flex-wrap: wrap;
        flex-direction: row;
        padding: 0 1rem;
    }

    footer article > section.box.two,
    footer article > section.box.three,
    footer article > section.box.four {
        width: calc(30% - 2em);
    }

    footer article > section.box.two:first-child,
    footer article > section.box.three:first-child {
        width: calc(40% - 2em);
    }

}

@media (min-width: 1400px) {

    footer .footerMain,
    footer .footerBottom {
        position: relative;
        display: block;
        margin: 1rem auto 0 auto;
        max-width: var(--max-content-width);
    }

    footer article > section.box.two:first-child,
    footer article > section.box.two {
        width: 50%;
        margin: 1rem 0;
    }

    footer article > section.box.three:first-child,
    footer article > section.box.three {
        width: 33.3%;
        margin: 1rem 0;
    }

    footer article > section.box.four:first-child,
    footer article > section.box.four {
        width: 25%;
        margin: 1rem 0;
    }
}